Package com.android.server.os

# Class LinphoneTombstoneProtos.CrashDetail

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.CrashDetail,LinphoneTombstoneProtos.CrashDetail.Builder>
com.android.server.os.LinphoneTombstoneProtos.CrashDetail

All Implemented Interfaces:
  `LinphoneTombstoneProtos.CrashDetailOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.CrashDetail extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.CrashDetail,LinphoneTombstoneProtos.CrashDetail.Builder> implements LinphoneTombstoneProtos.CrashDetailOrBuilder

     NOTE TO OEMS:
     If you add custom fields to this proto, do not use numbers in the reserved range.

Protobuf type `CrashDetail`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.CrashDetail.Builder`
NOTE TO OEMS: If you add custom fields to this proto, do not use numbers in the reserved range.

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DATA_FIELD_NUMBER`
`static final int`
`NAME_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`com.google.protobuf.ByteString`
`getData()`
`bytes data = 2;`
`static LinphoneTombstoneProtos.CrashDetail`
`getDefaultInstance()`
`com.google.protobuf.ByteString`
`getName()`
`bytes name = 1;`
`static LinphoneTombstoneProtos.CrashDetail.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.CrashDetail.Builder`
`newBuilder(LinphoneTombstoneProtos.CrashDetail prototype)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.CrashDetail`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.CrashDetail>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### DATA_FIELD_NUMBER

public static final int DATA_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getName

public com.google.protobuf.ByteString getName()
`bytes name = 1;`

Specified by:
  `getName` in interface `LinphoneTombstoneProtos.CrashDetailOrBuilder`
Returns:
  The name.

### getData

public com.google.protobuf.ByteString getData()
`bytes data = 2;`

Specified by:
  `getData` in interface `LinphoneTombstoneProtos.CrashDetailOrBuilder`
Returns:
  The data.

### parseFrom

public static LinphoneTombstoneProtos.CrashDetail parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.CrashDetail parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.CrashDetail parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.CrashDetail parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.CrashDetail parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.CrashDetail parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.CrashDetail parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.CrashDetail parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.CrashDetail parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.CrashDetail parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.CrashDetail parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.CrashDetail parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.CrashDetail.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.CrashDetail.Builder newBuilder(LinphoneTombstoneProtos.CrashDetail prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.CrashDetail,LinphoneTombstoneProtos.CrashDetail.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.CrashDetail getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.CrashDetail> parser()